Bug 865653 - PartitionException: Partition is not part of the disk it is being removed from
PartitionException: Partition is not part of the disk it is being removed from
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
abrt_hash:a307e4d5f492c5748e9fcde04f5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 22:24 EDT by Steve Tyler
Modified: 2014-02-05 17:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:50:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (641 bytes, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: anaconda-tb (307.26 KB, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: environ (888 bytes, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: type (9 bytes, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: storage.log (124.10 KB, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: version (2 bytes, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: program.log (42.87 KB, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: product (6 bytes, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: anaconda.log (6.27 KB, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: cmdline_file (162 bytes, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: release (33 bytes, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: messages (101.49 KB, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
File: other involved packages (60 bytes, text/plain)
2012-10-11 22:24 EDT, Steve Tyler
no flags Details
text-mode installation (7.51 KB, text/plain)
2012-10-29 10:08 EDT, Jan Stodola
no flags Details

  None (edit)
Description Steve Tyler 2012-10-11 22:24:28 EDT
Version-Release number of selected component:
anaconda-18.16-1.fc18.x86_64

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.16 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 269, in removePartition
:    if self.__disk.remove_partition(partition.getPedPartition()):
:  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
:    ret = fn(*args, **kwds)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/partitioning.py", line 574, in removeNewPartitions
:    part.disk.format.partedDisk.removePartition(part.partedPartition)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/partitioning.py", line 758, in doPartitioning
:    removeNewPartitions(disks, partitions)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/partitioning.py", line 302, in doAutoPartition
:    doPartitioning(storage)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 265, in execute
:    doAutoPartition(storage, ksdata)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1557, in doKickstartStorage
:    ksdata.autopart.execute(storage, ksdata, instClass)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 380, in _doExecute
:    doKickstartStorage(self.storage, self.data, self.instclass)
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:PartitionException: Partition is not part of the disk it is being removed from
Comment 1 Steve Tyler 2012-10-11 22:24:30 EDT
Created attachment 625775 [details]
File: ifcfg.log
Comment 2 Steve Tyler 2012-10-11 22:24:32 EDT
Created attachment 625776 [details]
File: anaconda-tb
Comment 3 Steve Tyler 2012-10-11 22:24:34 EDT
Created attachment 625777 [details]
File: environ
Comment 4 Steve Tyler 2012-10-11 22:24:35 EDT
Created attachment 625778 [details]
File: type
Comment 5 Steve Tyler 2012-10-11 22:24:37 EDT
Created attachment 625779 [details]
File: storage.log
Comment 6 Steve Tyler 2012-10-11 22:24:38 EDT
Created attachment 625780 [details]
File: version
Comment 7 Steve Tyler 2012-10-11 22:24:40 EDT
Created attachment 625781 [details]
File: program.log
Comment 8 Steve Tyler 2012-10-11 22:24:42 EDT
Created attachment 625782 [details]
File: product
Comment 9 Steve Tyler 2012-10-11 22:24:43 EDT
Created attachment 625783 [details]
File: anaconda.log
Comment 10 Steve Tyler 2012-10-11 22:24:48 EDT
Created attachment 625784 [details]
File: hashmarkername
Comment 11 Steve Tyler 2012-10-11 22:24:49 EDT
Created attachment 625785 [details]
File: cmdline_file
Comment 12 Steve Tyler 2012-10-11 22:24:51 EDT
Created attachment 625786 [details]
File: release
Comment 13 Steve Tyler 2012-10-11 22:24:52 EDT
Created attachment 625787 [details]
File: messages
Comment 14 Steve Tyler 2012-10-11 22:24:54 EDT
Created attachment 625788 [details]
File: other involved packages
Comment 15 Reartes Guillermo 2012-10-15 21:03:54 EDT
i was trying to reproduce another bug, by selecting two disks, going to manual partitionig, then back, selecting one disk,auto partitiong, etc. (exact steps unknow)

Package: anaconda-18.16
OS Release: Fedora release 18-Beta-TC4
Comment 16 Chris Lumens 2012-10-23 11:35:03 EDT
Is this at all reproducible with anaconda-18.19-1?  If so, can someone please attach exact steps to cause it to happen?  Thanks.
Comment 17 Jan Stodola 2012-10-29 10:08:28 EDT
Created attachment 635025 [details]
text-mode installation

Similar traceback reproduced when running text-mode installation, tested with anaconda-18.19

Steps to reproduce:
1. run installation in text mode
2. select all (3) disks
3. Use All Space
4. go back to Install Destination
5. deselect second disk
6. Use All Space
8. go back to Install Destination
9. select second and deselect third disk
10. Use All Space
11. traceback
Comment 18 Jesse Keating 2012-10-29 13:26:00 EDT
I suspect there is some clean up that was done in the gui storage spoke that I need to duplicate in the text storage spoke.  Taking this to look into it.
Comment 20 Fedora End Of Life 2013-12-21 10:08:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2014-02-05 17:50:11 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.